import { SimpleLocalClient } from '../../core/index.js';
import type { ILeaoneConfig } from './leaone.types.js';
import { leaoneProfile } from './leaone.types.js';

export class LeaoneClient extends SimpleLocalClient<ILeaoneConfig> {
  constructor(configArg: ILeaoneConfig) {
    super(leaoneProfile, configArg);
  }
}
